
Mapas temáticos - Bugs #174
Excepción al cancelar en Abrir Mapa Temático
01/12/2012 07:27 PM - Guillermo Roldós

Status: Fixed Start date: 02/03/2012
Priority: Normal Due date: 02/03/2012
Assignee: Jose Manuel Vivó Arnal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v1.0.0-RC Spent time: 0.00 hour
Description

Cuando se abre la ventana "Abrir Mapa Temático", si se selecciona el botón Cancelar arroja la siguiente exception:

java.lang.NullPointerException: null
    org.gvsig.app.project.documents.gui.ProjectWindow.createDocumentsInProject(ProjectWindow.java:285)
    org.gvsig.app.project.documents.gui.ProjectWindow.newProjectDocument(ProjectWindow.java:308)
    org.gvsig.app.project.documents.gui.ProjectWindow.access$400(ProjectWindow.java:74)
    org.gvsig.app.project.documents.gui.ProjectWindow$5.actionPerformed(ProjectWindow.java:698)
    javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
    javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
    javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)     javax.swing.DefaultButtonModel.setPressed(Unknown
Source)     javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
    java.awt.Component.processMouseEvent(Unknown Source)     javax.swing.JComponent.processMouseEvent(Unknown Source)
    java.awt.Component.processEvent(Unknown Source)     java.awt.Container.processEvent(Unknown Source)
    java.awt.Component.dispatchEventImpl(Unknown Source)     java.awt.Container.dispatchEventImpl(Unknown Source)
    java.awt.Component.dispatchEvent(Unknown Source)     java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
    java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)     java.awt.LightweightDispatcher.dispatchEvent(Unknown
Source)     java.awt.Container.dispatchEventImpl(Unknown Source)     java.awt.Window.dispatchEventImpl(Unknown Source)
    java.awt.Component.dispatchEvent(Unknown Source)     java.awt.EventQueue.dispatchEvent(Unknown Source)
    org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:59)
    java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
    java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
    java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
    java.awt.EventDispatchThread.pumpEvents(Unknown Source)     java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    java.awt.EventDispatchThread.run(Unknown Source)

History
#1 - 01/31/2012 09:59 AM - Jose Manuel Vivó Arnal
- Target version set to v1.0.0-RC

#2 - 02/03/2012 12:49 PM - Jose Manuel Vivó Arnal
- Due date set to 02/03/2012
- Status changed from New to In progress
- Assignee changed from Guillermo Roldós to Jose Manuel Vivó Arnal
- Start date changed from 01/12/2012 to 02/03/2012

#3 - 02/03/2012 12:55 PM - Jose Manuel Vivó Arnal
- Status changed from In progress to Fixed
- % Done changed from 0 to 100
